ALSACAP(1)

NAME
alsacap - ALSA device capability lister

SYNOPSIS
alsacap [-R] [-C cardnr [-D devicenr]]

alsacap [-R] -d device [-r rate|-c channels|-f format]...

DESCRIPTION
In the first form, scans soundcards known to ALSA for devices and subdevices. The range of channels, sampling rates and sample formats of each device is output. A list of subdevices is printed. This information cannot be obtained if the device is in use; then only the number of available subdevices is printed. Options for the first form of alsacap usage allow to restrict the scan to a sound card or device and to scan recording devices.

In the second form, displays ranges of configuration parameters for the given ALSA device. The -d option is mandatory in this form. Its device name argument denotes an ALSA device and is unrelated to the numerical sound card device ID of the -D option. To query the capabilities of a sound card (and its driver), use the hardware device designation "hw:card", where "card" is the index or ID string of the sound card; or possibly "hw:card,dev", where "dev" is the index of the sound card device.

Up to three optional command-line switches can fix the rate, number of channels and sample format in the given order. The actually obtained parameter value (which may differ from the one requested) and the remaining parameter ranges are output. ALSA parameters are not independent, but the range of one may depend on the value of another. alsacap in its second form allows to explore these dependencies. If unique, the number of significant bits of the sample values is also output, but be aware that this numer may overstate the number of bits used by the sound card DAC or provided by the ADC.

OPTIONS

-C cardnr
    Restrict scan to sound card with index cardnr.

-D devicenr
    Restrict scan to device with index devicenr. The -C option has to be present also if -D is used.

-R  Operate on recording rather than playback devices.

-c channels
    Set numer of channels before determining parameter ranges.

-d device
    Display parameter ranges of the ALSA device device. The ALSA devices used here are distinct from the device indices of the -D option that are subdivisions of sound cards. With -d, software devices performing resampling or mixing can also be used. To show the capabilities of your sound card hardware (in so far as supported by the ALSA driver), use the argument "hw:card", where "card" is the index or ID string of your sound card.

-f format
    Set sample format before determining parameter ranges. The sample format determines the size and endianness of sample values. To see the available format designations, run alsacap without -f first.

-r rate
    Set sampling rate before determining parameter ranges.

SEE ALSO
aplay(1) and arecord(1), in particular the -l option.

<http://www.volkerschatz.com/noise/alsa.html> on ALSA devices, parameters, configuration and nomenclature.

COPYRIGHT
alsacap is copyright (c) 2007 Volker Schatz, e-mail alsacap at the domain volkerschatz.com. It is licenced under the ISC licence, a permissive open-source licence. This manual page is (c) 2013 Volker Schatz and is under the same licence.